repo/gentoo:master commit in: dev-libs/apr-util/
"Sam James" <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786070309.242fbe66486b40ab62f98ee9ef0b45578cc3dbe5.sam@gentoo> |
commit: 242fbe66486b40ab62f98ee9ef0b45578cc3dbe5
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 7 02:37:44 2026 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Aug 7 02:38:29 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=242fbe66
dev-libs/apr-util: add 1.6.4
This release has the openssl fixes mentioned in bug #941570 but not
known to fix nss.
Bug: https://bugs.gentoo.org/941570
Bug: https://bugs.gentoo.org/980459
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-libs/apr-util/Manifest | 2 +
dev-libs/apr-util/apr-util-1.6.4.ebuild | 155 ++++++++++++++++++++++++++++++++
2 files changed, 157 insertions(+)
diff --git a/dev-libs/apr-util/Manifest b/dev-libs/apr-util/Manifest
index e88af0edeadd..081530fd02fb 100644
--- a/dev-libs/apr-util/Manifest
+++ b/dev-libs/apr-util/Manifest
@@ -1,2 +1,4 @@
DIST apr-util-1.6.3.tar.bz2 432692 BLAKE2B 5eb56c45ba9d87ff3e3769439a3a9a858a1947de68b34892c729f39736fc41117a41c630c3c4cfb07b444c4ee0d5853ec5be158e8fa0b0c0ab89f0cb51cc9c6d SHA512 8050a481eeda7532ef3751dbd8a5aa6c48354d52904a856ef9709484f4b0cc2e022661c49ddf55ec58253db22708ee0607dfa7705d9270e8fee117ae4f06a0fe
DIST apr-util-1.6.3.tar.bz2.asc 833 BLAKE2B f2bea96f9b284d4f5a841a82fcfb0bbd99ea0db55c4df93b56d5568cf114c3bbef145d7f4fba3e0cf35f2e6f8c1a41321d5e365f638a702a606ab15224f10105 SHA512 6c483e823fb032b161b6bcf77f9a43945aee9afbe40050ebf042865434bc533d21168af20d4cdff597b60b782d8ac9322409a5c2a64bf921b22f5add2451d79d
+DIST apr-util-1.6.4.tar.bz2 441511 BLAKE2B 29758da83e6966f7f555d22be77fd7872d0c838506d0e451e4915ec1d3ab74234d7f1ef2dd31eecf14db7ade9b197cc3a5207d80e41bc4e845320dc7f1b10cd1 SHA512 e3adaaa13c48a7394ed56f29b5543f247241487bb47fe4863bd097ba51a10bce650878b3554ceff7cd0af6ad1b09484b5c12c99bec1bb7679398a23179dd11ff
+DIST apr-util-1.6.4.tar.bz2.asc 898 BLAKE2B df81356fd2d64c9ca0106416471ff22768b22d52f05686f8769a323b3334bc490a8cebffee94e3dcaa683276130808e55d035c37c7c01104b767984e429a0a94 SHA512 3317c2e9279652cadce5e90b1fd1683115a45b93a057f434d37e7a2003ccaf561a97a030e962c4a6e2c183ee77106fb608477fe73ebadb274fc9d01c186a8786
diff --git a/dev-libs/apr-util/apr-util-1.6.4.ebuild b/dev-libs/apr-util/apr-util-1.6.4.ebuild
new file mode 100644
index 000000000000..569b3151fc38
--- /dev/null
+++ b/dev-libs/apr-util/apr-util-1.6.4.ebuild
@@ -0,0 +1,155 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Usually apr-util has the same PV as apr, but in case of security fixes, this may change.
+# APR_PV="${PV}"
+APR_PV="1.7.2"
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/apache-httpd.asc
+inherit autotools db-use multilib toolchain-funcs verify-sig
+
+DESCRIPTION="Apache Portable Runtime Utility Library"
+HOMEPAGE="https://apr.apache.org/"
+SRC_URI="
+ mirror://apache/apr/${P}.tar.bz2
+ verify-sig? ( mirror://apache/apr/${P}.tar.bz2.asc )
+"
+
+LICENSE="Apache-2.0"
+SLOT="1"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos ~x64-solaris"
+IUSE="berkdb doc gdbm ldap mysql nss odbc openssl postgres sqlite static-libs"
+
+RDEPEND="
+ >=dev-libs/apr-${APR_PV}:1=
+ dev-libs/expat
+ virtual/libcrypt:=
+ berkdb? ( >=sys-libs/db-4:= )
+ gdbm? ( sys-libs/gdbm:= )
+ ldap? ( net-nds/openldap:= )
+ mysql? (
+ || (
+ dev-db/mariadb-connector-c
+ >=dev-db/mysql-connector-c-8
+ )
+ )
+ nss? ( dev-libs/nss )
+ odbc? ( dev-db/unixODBC )
+ openssl? ( dev-libs/openssl:= )
+ postgres? ( dev-db/postgresql:= )
+ sqlite? ( dev-db/sqlite:3 )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ >=dev-build/libtool-2.4.2
+ doc? ( app-text/doxygen )
+ verify-sig? ( sec-keys/openpgp-keys-apache-httpd )
+"
+
+DOCS=( CHANGES NOTICE README )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.5.3-sysroot.patch # bug #385775
+ "${FILESDIR}"/${PN}-1.6.1-libtool.patch # bug #779487
+ "${FILESDIR}"/${PN}-1.6.1-my_bool.patch
+ "${FILESDIR}"/${PN}-1.6.1-drop-my_init.patch
+ "${FILESDIR}"/${PN}-1.6.3-fix-pkgconfig-libs.patch
+)
+
+QA_CONFIG_IMPL_DECL_SKIP=(
+ memset_s # bug #898566
+)
+
+src_prepare() {
+ default
+
+ # Fix usage of libmysqlclient (bug #620230)
+ grep -lrF "libmysqlclient_r" "${S}" \
+ | xargs sed 's@libmysqlclient_r@libmysqlclient@g' -i \
+ || die
+
+ mv configure.{in,ac} || die
+ eautoreconf
+}
+
+src_configure() {
+ local myconf=(
+ --datadir="${EPREFIX}"/usr/share/apr-util-1
+ --with-apr="${ESYSROOT}"/usr
+ --with-expat="${EPREFIX}"/usr
+ --without-sqlite2
+ $(use_with gdbm)
+ $(use_with ldap)
+ $(use_with mysql)
+ $(use_with nss)
+ $(use_with odbc)
+ $(use_with openssl)
+ $(use_with postgres pgsql)
+ $(use_with sqlite sqlite3)
+ )
+
+ tc-is-static-only && myconf+=( --disable-util-dso )
+
+ if use berkdb; then
+ local db_version
+ db_version="$(db_findver sys-libs/db)" || die "Unable to find Berkeley DB version"
+ db_version="$(db_ver_to_slot "${db_version}")"
+ db_version="${db_version/\./}"
+ myconf+=(
+ --with-dbm=db${db_version}
+ # We use ${T} for the libdir because otherwise it'd simply be the normal
+ # system libdir. That's pointless as the compiler will search it for
+ # us already. This makes cross-compiling and such easier.
+ --with-berkeley-db="$(db_includedir 2>/dev/null):${T}"
+ )
+ else
+ myconf+=( --without-berkeley-db )
+ fi
+
+ if use nss || use openssl ; then
+ # bug #518708
+ myconf+=( --with-crypto )
+ fi
+
+ econf "${myconf[@]}"
+
+ # Use the current env build settings rather than whatever apr was built with.
+ sed -i -r \
+ -e "/^(apr_builddir|apr_builders|top_builddir)=/s:=:=${SYSROOT}:" \
+ -e "/^CC=/s:=.*:=$(tc-getCC):" \
+ -e '/^LTFLAGS/s:--silent::' \
+ build/rules.mk || die
+}
+
+src_compile() {
+ emake all $(usev doc dox)
+}
+
+src_test() {
+ # Building tests in parallel is broken
+ emake -j1 check
+}
+
+src_install() {
+ default
+
+ find "${ED}" -name "*.la" -delete || die
+ if [[ -d "${ED}/usr/$(get_libdir)/apr-util-${SLOT}" ]] ; then
+ find "${ED}/usr/$(get_libdir)/apr-util-${SLOT}" -name "*.a" -delete || die
+ fi
+
+ if ! use static-libs ; then
+ find "${ED}" -name "*.a" -not -name "*$(get_libname)" -delete || die
+ fi
+
+ if use doc ; then
+ docinto html
+ dodoc -r docs/dox/html/*
+ fi
+
+ # This file is only used on AIX systems, which Gentoo is not,
+ # and causes collisions between the SLOTs, so remove it.
+ rm "${ED}/usr/$(get_libdir)/aprutil.exp" || die
+}